Get Subscriptions
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": null,
"product_id": null,
"customer_id": null,
"perPage": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/subscriptions"
payload = {
"status": None,
"product_id": None,
"customer_id": None,
"perPage": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: null, product_id: null, customer_id: null, perPage: null})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 1,
"shop_id": 1,
"customer_id": 1,
"product_id": 1,
"variant_id": 1,
"product_name": "License Keys",
"variant_name": "Standard",
"initial_invoice_id": 1,
"open_renewal_invoice_id": null,
"gateway": null,
"renewal_method": "manual",
"payment_method_id": null,
"status": "active",
"interval": "month",
"interval_count": 1,
"trial_days": 0,
"trial_ends_at": null,
"quantity": 1,
"currency": "USD",
"recurring_price": "14.99",
"recurring_price_usd": null,
"renewal_delivery": "redeliver",
"current_period_start": null,
"current_period_end": null,
"cycles_completed": 0,
"cancel_at_period_end": false,
"cancelled_at": null,
"expired_at": null,
"cancellation_reason": null,
"external_id": null,
"external_customer_id": null,
"last_renewal_reminder_at": null,
"failed_payment_count": 0,
"suspended_at": null,
"metadata": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"customer": {
"id": 1,
"email": "customer@sellauth.test"
},
"product": {
"id": 1,
"name": "License Keys",
"stock_count": 0
},
"variant": {
"id": 1,
"name": "Standard"
}
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/subscriptions?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/subscriptions?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/subscriptions?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/subscriptions",
"per_page": 25,
"prev_page_url": null,
"to": 1,
"total": 1
}Subscriptions
Get Subscriptions
Retrieves a paginated list of product subscriptions.
GET
/
v1
/
shops
/
{shopId}
/
subscriptions
Get Subscriptions
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The ID of the shop.
Body
application/json
Response
200 - application/json
Example:
1
Show child attributes
Show child attributes
Example:
[ { "id": 1, "shop_id": 1, "customer_id": 1, "product_id": 1, "variant_id": 1, "product_name": "License Keys", "variant_name": "Standard", "initial_invoice_id": 1, "open_renewal_invoice_id": null, "gateway": null, "renewal_method": "manual", "payment_method_id": null, "status": "active", "interval": "month", "interval_count": 1, "trial_days": 0, "trial_ends_at": null, "quantity": 1, "currency": "USD", "recurring_price": "14.99", "recurring_price_usd": null, "renewal_delivery": "redeliver", "current_period_start": null, "current_period_end": null, "cycles_completed": 0, "cancel_at_period_end": false, "cancelled_at": null, "expired_at": null, "cancellation_reason": null, "external_id": null, "external_customer_id": null, "last_renewal_reminder_at": null, "failed_payment_count": 0, "suspended_at": null, "metadata": null, "created_at": "2026-09-20T15:56:24.000000Z", "updated_at": "2026-09-20T15:56:24.000000Z", "deleted_at": null, "customer": { "id": 1, "email": "customer@sellauth.test" }, "product": { "id": 1, "name": "License Keys", "stock_count": 0 }, "variant": { "id": 1, "name": "Standard" } } ]
Example:
"http://api.sellauth.test/v1/shops/1/subscriptions?page=1"
Example:
1
Example:
1
Example:
"http://api.sellauth.test/v1/shops/1/subscriptions?page=1"
Show child attributes
Show child attributes
Example:
[ { "url": null, "label": "« Previous", "active": false }, { "url": "http://api.sellauth.test/v1/shops/1/subscriptions?page=1", "label": "1", "active": true }, { "url": null, "label": "Next »", "active": false } ]
Example:
null
Example:
"http://api.sellauth.test/v1/shops/1/subscriptions"
Example:
25
Example:
null
Example:
1
Example:
1